ru.bitel.bgbilling.kernel.contract.balance.common.bean

## Class AbstractPaymentTypes<N extends AbstractPaymentTypes<N>>

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType
      - - ru.bitel.bgbilling.kernel.contract.balance.common.bean.PaymentType
        - - ru.bitel.bgbilling.kernel.contract.balance.common.bean.AbstractPaymentTypes<N>

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem, TreeNode<N>
  Direct Known Subclasses:
    PaymentTypeItem

      public class AbstractPaymentTypes<N extends AbstractPaymentTypes<N>>
      extends PaymentType
      implements TreeNode<N>

  Bean для дерева приходов/расходов в редакторе приходов/расходов и справочников .
  Название, я думаю, не совсем корретно, так как этот bean используется и для типов расхода(но раз уж создано, менят пока не буду )
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType

      `editable, parentId, type, TYPE_ALL, TYPE_BRANCH, TYPE_EDITABLE, TYPE_LEAF, TYPE_UNEDITABLE`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPaymentTypes()`
    `AbstractPaymentTypes(BalanceBaseType baseType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(N child)`
    `N[]` | `findCodePath(int pid)`
    `java.util.List<N>` | `getChildren()`
    `boolean` | `isEmpty()`
    `void` | `removeChild(N child)`
    `void` | `setChildren(java.util.List<N> children)`
    `void` | `sortByTitle()`
    `protected void` | `sortChildren()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType

      `getEditable, getParentId, getType, setEditable, setParentId, setType`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### AbstractPaymentTypes

          public AbstractPaymentTypes()

    - #### AbstractPaymentTypes

          public AbstractPaymentTypes(BalanceBaseType baseType)

  - ### Method Detail

    - #### getChildren

          public java.util.List<N> getChildren()

      Specified by:
        `getChildren` in interface `TreeNode<N extends AbstractPaymentTypes<N>>`

    - #### setChildren

          public void setChildren(java.util.List<N> children)

    - #### isEmpty

          public boolean isEmpty()

    - #### addChild

          public void addChild(N child)

    - #### removeChild

          public void removeChild(N child)

    - #### findCodePath

          public N[] findCodePath(int pid)

    - #### sortByTitle

          public void sortByTitle()

    - #### sortChildren

          protected void sortChildren()